Fix Intel AC9560 BT function cannot turn on if BT turn off before S3 entry

Bug #1941696 reported by koba
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
koba
Focal
Undecided
Unassigned
Hirsute
Undecided
koba
Impish
Undecided
koba
linux-oem-5.10 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
koba
Hirsute
Undecided
Unassigned
Impish
Undecided
Unassigned
linux-oem-5.13 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
koba
Hirsute
Undecided
Unassigned
Impish
Undecided
Unassigned

Bug Description

[Impact]
1. On Troy JSL platform, add AC9560
2. Enter Settings -> Bluetooth menu
3. Default Bluetooth option is ON, try to toggle the BT option to OFF
4. Into suspend mode(S3) and resume the system
5. Enter BT settings and try to turn on BT,
6. BT function cannot enabled until reboot.

[Fix]
Turn off the msft ext only for AC9560.
Maintainer thought Intel should take care this and reject this workaround.
https://marc.info/?l=linux-bluetooth&m=162938546804458&w=2

Intel is working on this issue and sru the workaround for the schedule.

[Test]
Verified with the bellow steps 10 times.
1. On Troy JSL and add AC9560
2. Turn off BT
3. suspend&resume the machine 10 times.
4. turn on BT and works well.

[Regression Potential]
Medium, it's a workaround to turn off the MSFT ext only for ac9560.

CVE References

koba (kobako)
Changed in linux-oem-5.13 (Ubuntu Focal):
assignee: nobody → koba (kobako)
status: New → In Progress
Changed in linux-oem-5.10 (Ubuntu Focal):
assignee: nobody → koba (kobako)
status: New → In Progress
Changed in linux (Ubuntu Hirsute):
assignee: nobody → koba (kobako)
status: New → In Progress
Changed in linux (Ubuntu Impish):
assignee: nobody → koba (kobako)
status: New → In Progress
koba (kobako)
description: updated
koba (kobako)
tags: added: oem-priority originate-from-1934141 somerville
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.13 (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux-oem-5.13 (Ubuntu Hirsute):
status: New → Invalid
Changed in linux-oem-5.13 (Ubuntu Impish):
status: New → Invalid
Changed in linux-oem-5.10 (Ubuntu Hirsute):
status: New → Invalid
Changed in linux-oem-5.10 (Ubuntu Impish):
status: New → Invalid
Changed in linux (Ubuntu Focal):
status: New → Invalid
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
koba (kobako) wrote :

Verified on 5.13-oem-1011.

tags: added: verification-done-focal
removed: verification-needed-focal
AceLan Kao (acelankao)
Changed in linux-oem-5.10 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.13 - 5.13.0-1012.16

---------------
linux-oem-5.13 (5.13.0-1012.16) focal; urgency=medium

  * focal/linux-oem-5.13: 5.13.0-1012.16 -proposed tracker (LP: #1942861)

  * Fix sluggish r8169 by disaling ASPM L1.2 (LP: #1942830)
    - SAUCE: r8169: Disable ASPM L1.2

  * CVE-2021-3609
    - can: bcm: delay release of struct bcm_op after synchronize_rcu()
    - can: j1939: j1939_sk_init(): set SOCK_RCU_FREE to call sk_destruct() after
      RCU is done

 -- Timo Aaltonen <email address hidden> Tue, 07 Sep 2021 11:49:54 +0300

Changed in linux-oem-5.13 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.13.0-16.16

---------------
linux (5.13.0-16.16) impish; urgency=medium

  * impish/linux: 5.13.0-16.16 -proposed tracker (LP: #1942611)

  * Miscellaneous Ubuntu changes
    - [Config] update toolchain in configs

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Enable CONFIG_UBSAN_BOUNDS"

 -- Andrea Righi <email address hidden> Fri, 03 Sep 2021 16:21:14 +0200

Changed in linux (Ubuntu Impish):
status: In Progress → Fix Released
koba (kobako)
tags: added: verification-done-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.10 - 5.10.0-1049.51

---------------
linux-oem-5.10 (5.10.0-1049.51) focal; urgency=medium

  * focal/linux-oem-5.10: 5.10.0-1049.50 -proposed tracker (LP: #1944209)

  * e1000e extremly slow (LP: #1930754)
    - SAUCE: e1000e: Separate TGP board type from SPT
    - SAUCE: e1000e: Fixing packet loss issues on new platforms

  * CVE-2021-41073
    - io_uring: ensure symmetry in handling iter types in loop_rw_iter()

 -- Chia-Lin Kao (AceLan) <email address hidden> Mon, 27 Sep 2021 18:33:36 +0800

Changed in linux-oem-5.10 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote :

The Hirsute Hippo has reached End of Life, so this bug will not be fixed for that release.

Changed in linux (Ubuntu Hirsute):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers